Subject: Re: What's cooking in git.git (Jul 2015, #05; Mon, 20)

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Jul 2015 12:42:40 -0700

Jakub Narębski <[email-masked]> writes:

>> * tf/gitweb-project-listing (2015-03-19) 5 commits
>>  - gitweb: make category headings into links when they are directories
>>  - gitweb: optionally set project category from its pathname
>>  - gitweb: add a link under the search box to clear a project filter
>>  - gitweb: if the PATH_INFO is incomplete, use it as a project_filter
>>  - gitweb: fix typo in man page
>> 
>>  Update gitweb to make it more pleasant to deal with a hierarchical
>>  forest of repositories.
>> 
>>  Any comments from those who use or have their own code in Gitweb?
>
> Sent a reply to wrong (old) thread, sorry.
>
> tl;dr - first can be applied unconditionally, others have slight
> issues. Cgit implements something like this, though with limit
> (only first directory path), and different UI - it looks useful
> on https://git.kernel.org/cgit/

I'll merge the first one down, and discard the rest without
prejudice, then.

Thanks.